


$(document).ready(function(){
  
  
  // console.log(gantt_chart);


  $('.nav-item').on('click', function() {

    if ($(this).hasClass('active') ) {
  
    } else {
      $('.nav-item .nav-link').removeClass('active') 
      $(this).find('.nav-link').addClass('active') 

      var index = $(this).find('.nav-link').data('index')
      $('.tab-index').addClass('d-none') 
      $('.table-index-'+index).removeClass('d-none') 

      
    }
     

    });
    
    
    
    $('table').DataTable();

  
  $('.show_more').on('click', function() {
     var inner_id = ($(this).parent().parent().data('id'))
     var parent_elem = ($(this).parent().parent() )

     if ($('#inner-row-'+inner_id).length > 0){
      $('#inner-row-'+inner_id).remove()

     }else{ 
      
        $.ajax({
          url:"includes/getDetails.php",
          type:"POST",  
                  method: "POST", 
          data:{id:inner_id },
                      success: function(data) {
                      data = JSON.parse(data)
                      console.log(data)

                      // var head_data ='' ;
                      // data.forEach( (item)=>{
                      //   head_data +=
                      //   ` 
                      //     <th> 
                      //       ${item.date}
                      //     </th> 
                      //   `;
                      // })
                      
                      // var body_data ='';
                      
                      // data.forEach( (item)=>{ 
                      //   body_data +=
                      //   ` 
                      //     <th> 
                      //       ${item.hours}
                      //     </th> 
                      //   `;
                        
                      // })
 
                      var head_data ='';
                      
                      data.forEach( (item)=>{ 
                        head_data +=
                        `  
                            <td> 
                              ${item.date} 
                            </td>    
                        `;
                        
                      })
                      var body_data ='';
                      
                      data.forEach( (item)=>{ 
                        body_data +=
                        `   
                            <td class="text-center">  
                              ${item.hours}
                            </td>   
                        `;
                        
                      })
   
                      parent_elem.after( 
                        `    
                            <tr class="border border-bottom border-dark border-2" id="inner-row-${inner_id}" >
                              <td class="align-middle sorting_1 "  colspan="10" >  
                                <table>
                                  <tr class="bg-info"> 
                                    ${head_data}
                                  </tr> 
                                  <tr class="bg-light align-middle">
                                    ${body_data}
                                  </tr> 
                                </table>
                              </td>
                            </tr>   
                        `
               
                      );
          
          },error:function(){
          // 	window.location.href="404.php";

          }
        })

      
      
      }
    
    })
    

}); 

  

$('.submit_task').on('click', function() {

  // var inner_id = ($(this).parent().parent().data('id'))
  var inner_id =  $(this).parent().parent().parent().parent().data('id')
  updateTask(inner_id, 'submit')

})

$('.submit_cancel').on('click', function() {

  // var inner_id = ($(this).parent().parent().data('id'))
  var inner_id =  $(this).parent().parent().parent().parent().data('id')
  updateTask(inner_id, 'cancel')

})

function updateTask(inner_id, type){

  
  var title =(type == 'submit' ? `Submit Task for Completion` : `Cancel submittion`) ;
  var html =(type == 'submit' ? `Do you want to submit this task for completion?` : `Do you want to cancel submitting this task for completion?`) ;

  Swal.fire({
    title: title,
    html: html, 
    showCancelButton: true,
    confirmButtonText: 'Save', 
  }).then((result) => {
    /* Read more about isConfirmed, isDenied below */
    if (result.isConfirmed) {
      
      $.ajax({
        url:"includes/submitTask.php",
        type:"POST",  
                method: "POST", 
        data:{id:inner_id, type:type },
                    success: function(data) {
            // console.log(data)
                    data = JSON.parse(data)
            console.log(data)
            
            
            Swal.fire({
              icon: 'success',
              title:  'Task Completed!',
              text: 'You may cancel the task submittion by clicking the button again'  
            })
            location.reload();

        
        },error:function(){
        // 	window.location.href="404.php";

        }
      })
         
    }
    
    
  })

}

  $('.timein-btn').on('click', function() {

    var id = $(this).data('id')
    var current_status = $(this).parent().parent().find('.current_status').val() 
    var state = $(this).data('state');
     
    console.log(current_status)

    var title = $(this).data('title');
    
    if(state == 'start'){
        
        if( $('.time-in-container [data-state="end"]').length  ){
             
            Swal.fire({
              icon: 'error',
              title:  'Already time-in!',
              text: 'End the currently time-in first!'  
            })
             
        }else{
            Swal.fire({
              title: `${title}`,
              html: 'Do you want to start with this task?', 
              showCancelButton: true,
              confirmButtonText: 'Save', 
            }).then((result) => {
              /* Read more about isConfirmed, isDenied below */
              if (result.isConfirmed) {
                  
                update(id, state, emp_id, 0, '', current_status)
              }
              
              
            })
            
        }
        
        
    }else{
        
        
			$.ajax({
				url:"includes/get-time-in.php",
				type:"POST",  
                method: "POST", 
				data:{id:id, emp_id:emp_id},
                    success: function(data) {
                    data = JSON.parse(data)
				    console.log(data)
				    
				    
                     Swal.fire({
                      title: `${title}`,
                      html:
                        '<p  class="h6">Enter the progress added before ending the activity</p>' + 
                        // ' <span class=" "><span class="" > </span><input id="swal-input1" class="swal2-input" placeholder="Units of progress" min="0"   type="number" required > </span>'+
                        ' <span class=" "><span class="" > </span><input id="swal-input2" class="swal2-input" placeholder="Remarks (Optional)"> </span>'+
                        ` <span class=" "><span class="" > </span><input id="" class="swal2-input" value="${data.hrs}hrs ${data.mins}mins" readonly> </span>`,
                      focusConfirm: false,
                      confirmButtonText: "Submit and End activity",
                      inputValidator: (value) => {
                        if (!value) {
                          return 'You need to write something!'
                        }
                      },
                      preConfirm: () => {
                           
                           
                        // let unit_no =  document.getElementById('swal-input1').value;
                        let remarks =  document.getElementById('swal-input2').value;
                        // if(unit_no == ''){
                        //     Swal.showValidationMessage(
                        //       `Unit of Progress is required `
                        //     )
                        // }else{
                            
                            update(id, state, emp_id, remarks,current_status)
                        // }
                         
                      }
                    }) 
				    
				    
				
				},error:function(){
				// 	window.location.href="404.php";

				}
			})
        
        
    }
    
    
      
  });



	function update(id,state, emp_id,  remarks, current_status){
	   // console.log(task)
	   
	   
	    
			$.ajax({
				url:"includes/insertAttendance.php",
				type:"POST",  
                method: "POST", 
				data:{id:id, state:state, emp_id:emp_id,  remarks: remarks, current_status: current_status},
                    success: function(data) {
				    // console.log(data)
                    data = JSON.parse(data)
				    console.log(data)
				    
				    location.reload();

				
				},error:function(){
				// 	window.location.href="404.php";

				}
			})
	}
	
	