<?php
// Replace with your database credentials
$servername = "localhost";
$username = "root";
$password = "";
$dbname = "calendar";

// Create connection
$conn = new mysqli($servername, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

$sql = "SELECT date, activity, time, description, employee_id FROM calendar where employee_id = '1'";

$result = $conn->query($sql);

$events = array();

if ($result->num_rows > 0) {
    $events = array();
    while ($row = $result->fetch_assoc()) {
        $time = ($row['time'] !== '00:00:00') ? 'T' . $row['time'] : '';
        $eventType = strtolower(str_replace(' ', '-', $row['activity']));
        
        // Define icon Unicode characters for each event type
        $icons = array(
            'in' => '⏳',
            'out' => '⏰',
            'schedule-in' => '📅',
            'schedule-out' => '🔒'
        );
        
        // Get the appropriate icon based on the event type
        $icon = isset($icons[$eventType]) ? $icons[$eventType] : '';

        $events[] = array(
            'title' => $row['activity'],
            'start' => $row['date'] . $time,
            'description' => $row['description'],
            'eventType' => $row['activity'], // Add event type
            'icon' => $icon // Add icon
        );
    }
    echo json_encode($events); // Output JSON data
} else {
    echo json_encode(array()); // Output empty array if no events
}

$conn->close();
?>
